### Method

# GIRepository Repository get_n_infos

since: 2.80

#### Declaration

    unsigned int
    gi_repository_get_n_infos (
      GIRepository* repository,
      const char* namespace_
    )

#### Description

This function returns the number of metadata entries in given namespace `namespace_`.

The namespace must have already been loaded before calling this function.

Available since: 2.80

#### Parameters

`namespace_`

  Type: `const char*`

  Namespace to inspect.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `unsigned int`

Number of metadata entries.